from flask import Flask, redirect, render_template, url_for
from strava import Strava
from decorators import admin

app = Flask(__name__, instance_relative_config=True)
app.config.from_object('config')
app.config.from_pyfile('config.py')

@app.route('/')
def index():
    return render_template('index.html')

@admin
@app.route('/strava_auth')
def strava_auth():
    return Strava.authorize()

@app.route('/api/<api_name>')
def api(api_name):
    from api import Api
    return Api(api_name)

@app.context_processor
def cp_is_admin():
    from util import is_admin
    return dict(is_admin=is_admin)

@app.context_processor
def cp_strava():
    strava=Strava.check_auth()
    return dict(strava=strava)
